Summary:	Data for USB Modeswitch tool which gets 4G cards in operational mode
Summary(de.UTF-8):	USB Modeswitch aktiviert UMTS-Karten
Summary(pl.UTF-8):	Dane dla narzędzia USB Modeswitch przełączającego karty 4G w tryb operacyjny
Name:		usb-modeswitch-data
Version:	20191128
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.draisberghof.de/usb_modeswitch/%{name}-%{version}.tar.bz2
# Source0-md5:	e8fce7eb949cbe16c61fb71bade4cc17
URL:		http://www.draisberghof.de/usb_modeswitch/
# NOTE: tcl is used in udev code 
Requires:	tcl >= 8.4
Requires:	usb-modeswitch >= 2.5.0
Suggests:	udev-core
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
USB Modeswitch brings up your datacard into operational mode. When
plugged in they identify themselves as cdrom and present some
non-Linux compatible installation files. This tool deactivates this
cdrom-devices and enables the real communication device. It supports
most devices built and sold by Huawei, T-Mobile, Vodafone, Option,
ZTE, Novatel.

This package contains the data files needed for usb_modeswitch to
function.

%description -l de.UTF-8
USB Modeswitch deaktiviert die CDROM-Emulation einiger UMTS-Karten.
Dadurch erkennt Linux die Datenkarte und kann damit Internet-
Verbindungen aufbauen. Die gängigen Karten von Huawei, T-Mobile,
Vodafone, Option, ZTE und Novatell werden unterstützt.

Dieses Paket enthält die Dateien für usb_modeswitch benötigt um zu
funktionieren.

%description -l pl.UTF-8
USB Modeswitch potrafi przełączyć pewne urządzenia komunikacyjne w
tryb operacyjny. Takie urządzenia po podłączeniu identyfikują się jako
CD-ROM i oferują jedynie niezgodne z Linuksem pliki instalacyjne. To
narzędzie wyłącza emulację CD i włącza prawdziwe urządzenie
komunikacjne. Obsługuje większość urządzeń wytworzonych i oferowanych
przez firmy Huawei, T-Mobile, Vodafone, Option, ZTE, Novatel.

Ten pakiet zawiera pliki z danymi potrzebnymi do działania programu
usb_modeswitch.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

%{__make} files-install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} db-install  \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /sbin/udevadm ]; then
	/sbin/udevadm control --reload-rules
fi

%postun
if [ -x /sbin/udevadm ]; then
	/sbin/udevadm control --reload-rules
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README REFERENCE
%{_datadir}/usb_modeswitch
/lib/udev/rules.d/40-usb_modeswitch.rules
%changelog
* Mon Jun 01 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/usb-modeswitch-data.git;a=log;h=master

* Mon Jun 01 2020 Jan Palus <atler@pld-linux.org> c85688f
- up to 20191128

* Thu Mar 01 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 56b38c2
- Update to 20170806

* Fri Mar 03 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 5a7d714
- Update to 20170205

* Sat Jun 18 2016 Jakub Bogusz <qboosh@pld-linux.org> d2c9768
- updated to 20160612

* Fri Jan 15 2016 Jakub Bogusz <qboosh@pld-linux.org> c05d459
- updated to 20160112

* Wed Nov 04 2015 Jakub Bogusz <qboosh@pld-linux.org> accabfe
- updated to 20151101

* Wed Jul 01 2015 Jakub Bogusz <qboosh@pld-linux.org> bc50169
- updated to 20150627

* Sun Jan 18 2015 Jakub Bogusz <qboosh@pld-linux.org> d577277
- updated to 20150115

* Sat Jun 14 2014 Jakub Bogusz <qboosh@pld-linux.org> ec1eedc
- updated to 20140529 (for usb-modeswitch 2.2.0+)

* Sat Mar 29 2014 Jan Palus <atler@pld-linux.org> 2c4ba4b
- up to 20140327

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> b418205
- updated to 20140129

* Fri Nov 15 2013 Jakub Bogusz <qboosh@pld-linux.org> b07eecc
- updated to 20131113

* Sun Aug 25 2013 Jakub Bogusz <qboosh@pld-linux.org> d4d1aae
- updated to 20130807

* Sun Jun 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 1fe6a02
- updated to 20130610

* Mon Jun 03 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 49289bc
- Update to 20130602

* Fri Nov 16 2012 Jakub Bogusz <qboosh@pld-linux.org> aff1fa4
- updated to 20121109

* Sat Sep 01 2012 Jakub Bogusz <qboosh@pld-linux.org> d432fca
- updated to 20120815

* Wed Aug 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c8decf1
- rel 2; S udev-core not udev

* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> 36b9c1e
- updated to 20120531

* Sat Jan 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 1031f54
- updated to 20120120

